%define name    gnusearch
%define version 0.0.8
%define release 6mdk

Summary: Perl-based URL search engine 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.cnhtech.com/~hfa/ 
License: GPL 
Group: Networking/WWW
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildarch: noarch

%description
GNUSearch is a URL search engine. It stores the URL, title and description
information of each page in a main text database. Later, you can search it
with the search engine. It supports multiple keywords and duplicate URL
detection.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
# none needed for perl

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/www/cgi-bin/
mkdir -p $RPM_BUILD_ROOT/var/www/html/
install -m 755  cgi/*.cgi $RPM_BUILD_ROOT/var/www/cgi-bin/
install -m 777  cgi/words.txt $RPM_BUILD_ROOT/var/www/cgi-bin/
install -m 644  html/index.html $RPM_BUILD_ROOT/var/www/html/gnusearch.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README TODO
/var/www/html/*.html
/var/www/cgi-bin/*

%changelog
* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-6mdk
- rebuild

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-5mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-4mdk
- rebuild

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-3mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-2mdk
- minor changes

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-1mdk
- updated to 0.0.8

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-1mdk
- v0.0.6

* Mon Jul 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.1-1mdk
- fix install section

* Fri Jul 21 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.0.1 (initial packaging from freshmeat)
